Subject: Keep On Debugging You

From: Timur Tabi <[email-masked]>
Date: Tue, 04 Sep 2007 21:53:42 -0500

I wrote this last year in frustration with an out-of-order execution bug 
I was trying to fix.

Keep On Debugging You
Sung to the tune of REO Speedwagon's "Keep on Loving' You"

You should've seen by the opcodes in the queue, baby
There was something missin'
You should known by the registers, too, maybe
But you were too busy bitchin'
You stalled ahead
But you never fed
Instead my instructions
All ended up switchin'

And though I know all flushes
Still I don't remember
Cause it was stwu way before lwzu
And they're still together
And I meant every line I wrote
When I wrote them in order I meant
That I wanted them in order

And I'm gonna keep on debugging you
Cause it's the only thing I'm paid to do
I don't have time to sleep
I just want to keep on debugging you

(solo)

And I meant every line I wrote
When I wrote them in order I meant
That I wanted them in order

(chorus)

-- 
Timur Tabi